DruStack
========

Welcome to DruStack Installation Profile - a fully-functional Drupal environment that you can use as the skeleton for your new applications.

With [DruStack](http://drupal.org/project/drustack) pre-configured modules, you can get your own ready-made and highly customizable development environment by default Drupal installation procedure.

DruStack replace most of the features and as a successor of [PantaRei Siren](http://drupal.org/project/pantarei_siren) distribution.

Usage
-----

First you need to [install composer](https://getcomposer.org/doc/00-intro.md#installation-linux-unix-osx).

After that you can create the project:

    composer create-project drustack/framework-standard-edition:^8.2.0 MYPROJECT --no-interaction

With `composer require ...` you can download new dependencies to your installation.

    composer require drupal/devel:~1.0

The `composer create-project` command passes ownership of all files to the project that is created. You should create a new git repository, and commit all files not excluded by the .gitignore file.

Features Highlight
------------------

### Mobile-First with Bootstrap

DruStack integrate most required development toolkits for building a Responsive Web Design with [Bootstrap](http://getbootstrap.com/).

-   With [Drupal Bootstrap base theme](https://www.drupal.org/project/bootstrap) you can create your Bootstrap subtheme quickly.
-   With [Views Bootstrap](https://www.drupal.org/project/views_bootstrap) you can style your Views layout with Bootstrap Grid, Table, Accordion or Carousel.
-   With [Block Class](https://www.drupal.org/project/block_class) you can style your block with CSS classes that Bootstrap Grid system required.

### Multilingual Capabilities

DruStack integrate most required development toolkits (and **lots of patches** for Drupal 7.x) for building i18n website.

-   With [Entity Translation](https://www.drupal.org/project/entity_translation) we patch and synchronize Drupal 7.x i18n site building experience in a much simple and Drupal 8.x style.
-   With [Universally Unique IDentifier](https://www.drupal.org/project/uuid) most Drupal 7.x entity could be exported by Features for code based management.

### Effortless Authoring

DruStack simplify site builder duty on detail configuring input filter and WYSIWYG functionality for editor.

-   By default Anonymous only allow to post content with Plain Text style, plus filtering and checking.
-   Authenticated users can utilize [CKEditor](http://ckeditor.com/) for WYSIWYG editing experience, plus filtering and checking.
-   Power users can even using [CKEditor](http://ckeditor.com/) in Full HTML mode, so no custom HTML tags will be trimmed out.
-   Administrators sometime need to styling the page with some RAW PHP code and logic where corresponding input filter also ready for it.

### Search Engine Optimization

DruStack keep SEO in mind so most of the default configuration and setup are Search Engine Friendly out-of-the-box.

-   With [Pathauto](https://www.drupal.org/project/pathauto) we provide a default cascade URL structure for Basic Page under main menu.
-   With [Metatag](https://www.drupal.org/project/metatag) you can verify your site with popular Search Engine providers, e.g. Google, Bing, Baidu, etc by using meta tags on frontpage.
-   With [XML sitemap](https://www.drupal.org/project/xmlsitemap) you can generate sitemap that conforms to the sitemaps.org specification, which helps search engines to more intelligently crawl a website and keep their results up to date.
-   With [Google Analytics](https://www.drupal.org/project/google_analytics) or [Piwik Web Analytics](https://www.drupal.org/project/piwik) you can keep track your site traffic.

Author
------

-   Developed by [Edison Wong](http://drupal.org/user/33940).
-   Sponsored by [PantaRei Design](http://drupal.org/node/1741828).

